Subject: Launching Prolog from Java

From: "Pierre Nugues" <[email-masked]>
Date: Fri, 17 Nov 2000 10:07:58 +0100

Dear All,

I would like to launch SWI-Prolog from Java. I just need to redirect socket
streams to Prolog's standard input and output before launching it. It's
fairly easy to do that with Unix and C with dup() and execv().

There is an exec() method in Java but apparently it doesn't enable stream
passing.
Is there a workaround?

Pierre

PS I know of JPL. I would like to know whether there is something simpler
--
Pierre Nugues, Professeur d'informatique ([email-masked])
ISMRA, 6, bd du Maréchal Juin, F-14050 Caen, France
Tél. (33) 231-452-705 -- Fax. (33) 231-452-760
http://www.ensicaen.ismra.fr/~nugues